# Get note template detail

```
GET 
/note-settings/templates/:template_key
```

Get metadata and sections for a single note template.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Template detail.

## Operation spec

```json
{
  "method": "get",
  "path": "/note-settings/templates/{template_key}",
  "operationId": "get-note-settings-template",
  "parameters": [
    {
      "name": "template_key",
      "in": "path",
      "required": true,
      "description": "Human-readable identifier of the note template. Use [List note templates](/core-api/reference/2026-06-12/user/list-note-settings-templates) to get available keys.",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Template detail.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "key",
              "title",
              "description",
              "sections"
            ],
            "properties": {
              "key": {
                "type": "string",
                "description": "Human-readable identifier for this template."
              },
              "title": {
                "type": "string",
                "description": "The template title in the user's locale."
              },
              "description": {
                "type": "string",
                "description": "The template description in the user's locale."
              },
              "sections": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "key",
                    "title",
                    "supported_customization_options"
                  ],
                  "properties": {
                    "key": {
                      "type": "string",
                      "description": "Human-readable identifier for this section within the template."
                    },
                    "title": {
                      "type": "string",
                      "description": "The section title."
                    },
                    "supported_customization_options": {
                      "type": "array",
                      "description": "Which per-section customization dimensions are supported for this section. Only options listed here should be sent when updating customization for this section.",
                      "items": {
                        "type": "string",
                        "enum": [
                          "CUSTOM_INSTRUCTION",
                          "SPLIT_BY_PROBLEM",
                          "LEVEL_OF_DETAIL",
                          "STYLE"
                        ],
                        "description": "A per-section customization dimension that the section supports. Use this to know which fields you may send when patching the section's customization.",
                        "title": "note_template_section_customization_option"
                      }
                    }
                  },
                  "title": "note_settings_template_section"
                },
                "description": "Sections defined for this template."
              }
            },
            "title": "note_settings_template_detail"
          }
        }
      }
    }
  }
}
```
